import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;

public class SplashScreen extends JWindow {
    public SplashScreen(Frame owner) {
        super(owner);
        JPanel contentPane = new JPanel();
        contentPane.setLayout(new BorderLayout());
        Border bd1 = BorderFactory.createBevelBorder(BevelBorder.RAISED);
        Border bd2 = BorderFactory.createEtchedBorder();
        Border bd3 = BorderFactory.createCompoundBorder(bd1, bd2);
        ((JPanel)contentPane).setBorder(bd3);
        ImageIcon icon = new ImageIcon("splash.gif");
        contentPane.add(new JLabel(" ", JLabel.CENTER), BorderLayout.NORTH);
        contentPane.add(new JLabel(icon, JLabel.CENTER), BorderLayout.CENTER);
        contentPane.add(new JLabel(" 2003, H. Gro, All Rights Reserved", JLabel.CENTER), BorderLayout.SOUTH);
        setContentPane(contentPane);
    }
    
    public void showFor(final int millis) {
        (new Thread() {
            public void run() {
                Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
                setLocation(dim.width / 3, dim.height / 3);
                setSize(dim.width / 3, dim.height / 3);
                setVisible(true);
                try {
                    Thread.sleep(millis);
                } catch (InterruptedException e) {
                }
                setVisible(false);
            }
        }).start();
    }
}