import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.filechooser.FileFilter;
import java.io.*;
import javax.media.jai.JAI;
import javax.media.jai.PlanarImage;
import java.util.*;
import java.awt.image.*;
import java.awt.image.renderable.*;
import javax.media.jai.*;
import javax.media.jai.operator.*;

public class ZoomWnd extends JInternalFrame {
    
    public ZoomWnd(final PicEdit frmParent, ImageDisplay idCanvas, Point p) {
        super("Vergrerung...", true, true, true, true);
        
        setBackground(Color.WHITE);
        setLocation(p);
        setSize(idCanvas.componentWidth + 40, idCanvas.componentHeight + 70);
        setMinimumSize(new Dimension(idCanvas.componentWidth + 40, idCanvas.componentHeight + 70));
        getContentPane().setLayout(new BorderLayout());
        
        JPanel buttonPanel = new JPanel();
        JButton btnDo = new JButton("Anwenden");
        JButton btnClose = new JButton("Schliessen");
        buttonPanel.add(btnDo);
        buttonPanel.add(btnClose);
        
        // Eventhandler...
        btnDo.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                frmParent.setZoomImage();
            }
        });
        btnClose.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                frmParent.destroyMagnifier();
            }
        });
        
        JPanel panelCanvas = new JPanel();
        panelCanvas.setBackground(Color.WHITE);
        panelCanvas.setLayout(new GridBagLayout());
        GridBagConstraints gbc = new GridBagConstraints();
        gbc.anchor = GridBagConstraints.CENTER;
        panelCanvas.add(idCanvas, gbc);
        
        getContentPane().add(panelCanvas, BorderLayout.CENTER);
        getContentPane().add(buttonPanel, BorderLayout.SOUTH);
        
        frmParent.addChild(this);
    }
}